%define title           Danger from the deep
%define longtitle       WW2 german submarine simulation

Name:		dangerdeep
Version:	0.3.0
Release:	%mkrel 3
Summary:	WW2 german submarine simulation
License:	GPL
Group:		Games/Other
URL:		http://dangerdeep.sourceforge.net/
Source0:	http://prdownloads.sourceforge.net/dangerdeep/%{name}-%{version}.tar.bz2
Patch0:		%{name}-0.3.0-scons.patch
Buildrequires:	scons
Buildrequires:	fftw-devel
Buildrequires:	SDL-devel
Buildrequires:	SDL_net-devel
Buildrequires:	SDL_image-devel
Buildrequires:	SDL_mixer-devel
Buildrequires:	libmesagl-devel
Buildrequires:	libmesaglu-devel
Buildrequires:	ImageMagick
Requires:	    dangerdeep-data
BuildRoot:      %{tmppath}/%{name}-%{version}

%description
Danger from the deep (aka dangerdeep) is a Free / Open Source World War II
german submarine simulation. It is currently available for Linux/i386 and
Windows, but since it uses SDL/OpenGL it should be portable to other operating
systems or platforms. (If anyone whishes to port it, please contact us.) This
game is planned as tactical simulation and will be as realistic as our time and
knowledge of physics allows. It's current state is ALPHA, but it is playable.

%prep
%setup -q
%patch0 -p1

%build
# (tpg) parallel build
procs=`egrep -c ^cpu[0-9]+ /proc/stat ||:`
if [ "$procs" ="0"]; then
	procs=1
fi

scons -j$procs \
    installbindir=%{buildroot}%{_gamesbindir} \
    installdatadir=%{buildroot}%{_gamesdatadir} \
    datadir=%{_gamesdatadir}/%{name} \
    usex86sse=1    

for i in 16 32 48; do
    convert -size ${i}x$i logo.xpm -resize ${i}x$i %{name}-${i}x$i.png
done

%install
rm -rf %{buildroot}
scons \
    installbindir=%{buildroot}%{_gamesbindir} \
    installdatadir=%{buildroot}%{_gamesdatadir} \
    datadir=%{_gamesdatadir}/%{name} \
    install

install -d -m 755 %{buildroot}%{_mandir}/man6
install -m 644 doc/man/dangerdeep.6 %{buildroot}%{_mandir}/man6

install -d -m 755 %{buildroot}%{_datadir}/applications
cat >  %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=%{title}
Comment=%{longtitle}
Exec=%{_gamesbindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=false
Categories=X-MandrivaLinux-MoreApplications-Games-Other;Game;
EOF
  
# icon
install -d -m 755 %{buildroot}/%{_miconsdir}
install -d -m 755 %{buildroot}/%{_iconsdir}
install -d -m 755 %{buildroot}/%{_liconsdir}
install -m 644 %{name}-16x16.png %{buildroot}/%{_miconsdir}/%{name}.png
install -m 644 %{name}-32x32.png %{buildroot}/%{_iconsdir}/%{name}.png
install -m 644 %{name}-48x48.png %{buildroot}/%{_liconsdir}/%{name}.png
 
%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ChangeLog CREDITS README INSTALL LICENSE
%{_gamesbindir}/%{name}
%{_mandir}/man6/*
%{_datadir}/applications/mandriva-%{name}.desktop
%{_miconsdir}/*
%{_iconsdir}/*.*
%{_liconsdir}/*


%changelog
* Mon Jun 18 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.0-3mdv2008.0
+ Revision: 40668
- really use parallel build

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - fix data location path

* Thu Jun 14 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3.0-1mdv2008.0
+ Revision: 39435
- new version
- fix detecting libGl.so on x86_64
- use hack to provide parallel build
- build iwth mmx/sse support
- spec file clean


* Wed Nov 29 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.2.0-1mdv2007.0
+ Revision: 88382
- drop old debian menu
- new version
  data are now shipped separatly
- Import dangerdeep

* Wed Aug 16 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.1.1-6mdv2007.0
- Fix xdg menu
   - Please read http://qa.mandriva.com/twiki/bin/view/Main/MenuMigrationToXDG

* Tue Aug 15 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.1.1-5mdv2007.0
- Fix rpmlint warnings

* Thu Jun 22 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.1.1-4mdv2007.0
- xdg menu

* Tue Jun 20 2006 Pascal Terjan <pterjan@mandriva.org> 0.1.1-3mdv2007.0
- fix BuildRequires

* Tue Apr 18 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.1.1-2mdk
- fix icons conversion

* Sun Apr 16 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.1.1-1mdk
- initial mdv package

